Index: code/trunk/data/levels/4Dtest.oxw
===================================================================
--- code/trunk/data/levels/4Dtest.oxw	(revision 10622)
+++ code/trunk/data/levels/4Dtest.oxw	(revision 10624)
@@ -16,4 +16,5 @@
 
 <Level
+ plugins=mini4dgame
  gametype=Mini4Dgame
 >
Index: code/trunk/data/levels/DodgeRace.oxw
===================================================================
--- code/trunk/data/levels/DodgeRace.oxw	(revision 10622)
+++ code/trunk/data/levels/DodgeRace.oxw	(revision 10624)
@@ -19,5 +19,8 @@
 ?>
 
-<Level gametype = DodgeRace>
+<Level
+  plugins = dodgerace
+  gametype = DodgeRace
+>
   <templates>
     <Template link=lodtemplate_default />
Index: code/trunk/data/levels/Invaders.oxw
===================================================================
--- code/trunk/data/levels/Invaders.oxw	(revision 10622)
+++ code/trunk/data/levels/Invaders.oxw	(revision 10624)
@@ -18,5 +18,8 @@
 ?>
 
-<Level gametype = Invader>
+<Level
+  plugins = invader
+  gametype = Invader
+>
   <templates>
     <Template link=lodtemplate_default />
Index: code/trunk/data/levels/Spacerace2.oxw
===================================================================
--- code/trunk/data/levels/Spacerace2.oxw	(revision 10622)
+++ code/trunk/data/levels/Spacerace2.oxw	(revision 10624)
@@ -24,5 +24,6 @@
  name         = "Spacerace2"
  description  = "Just a few tests"
-gametype = SpaceRace
+ plugins = gametypes
+ gametype = SpaceRace
 >
   <templates>
Index: code/trunk/data/levels/SurfaceRacePresentation.oxw
===================================================================
--- code/trunk/data/levels/SurfaceRacePresentation.oxw	(revision 10622)
+++ code/trunk/data/levels/SurfaceRacePresentation.oxw	(revision 10624)
@@ -20,4 +20,5 @@
 
 <Level
+plugins = gametypes
 gametype = SpaceRace
 >
Index: code/trunk/data/levels/jump.oxw
===================================================================
--- code/trunk/data/levels/jump.oxw	(revision 10622)
+++ code/trunk/data/levels/jump.oxw	(revision 10624)
@@ -192,5 +192,8 @@
 </Template>
 
-<Level gametype = "Jump">
+<Level
+ plugins = "jump"
+ gametype = "Jump"
+>
   <templates>
     <Template link=lodtemplate_default />
Index: code/trunk/data/levels/pong.oxw
===================================================================
--- code/trunk/data/levels/pong.oxw	(revision 10622)
+++ code/trunk/data/levels/pong.oxw	(revision 10624)
@@ -53,4 +53,5 @@
 
 <Level
+ plugins = "pong"
  gametype = "Pong"
 >
Index: code/trunk/data/levels/presentationHS12.oxw
===================================================================
--- code/trunk/data/levels/presentationHS12.oxw	(revision 10622)
+++ code/trunk/data/levels/presentationHS12.oxw	(revision 10624)
@@ -32,4 +32,5 @@
 
 <Level
+  plugins = gametypes
   gametype = SpaceRace
 >
Index: code/trunk/data/levels/spaceRace.oxw
===================================================================
--- code/trunk/data/levels/spaceRace.oxw	(revision 10622)
+++ code/trunk/data/levels/spaceRace.oxw	(revision 10624)
@@ -18,4 +18,5 @@
 
 <Level
+ plugins = "gametypes"
  gametype = "OldSpaceRace"
 >
Index: code/trunk/data/levels/surfaceRace.oxw
===================================================================
--- code/trunk/data/levels/surfaceRace.oxw	(revision 10622)
+++ code/trunk/data/levels/surfaceRace.oxw	(revision 10624)
@@ -23,4 +23,5 @@
 
 <Level
+  plugins = gametypes
   gametype = SpaceRace
 >
Index: code/trunk/data/levels/tetris.oxw
===================================================================
--- code/trunk/data/levels/tetris.oxw	(revision 10622)
+++ code/trunk/data/levels/tetris.oxw	(revision 10624)
@@ -55,4 +55,5 @@
 
 <Level
+ plugins = "tetris"
  gametype = "Tetris"
 >
Index: code/trunk/data/levels/towerDefense.oxw
===================================================================
--- code/trunk/data/levels/towerDefense.oxw	(revision 10622)
+++ code/trunk/data/levels/towerDefense.oxw	(revision 10624)
@@ -45,5 +45,8 @@
 
 
-<Level gametype = "TowerDefense">
+<Level
+  plugins = "towerdefense"
+  gametype = "TowerDefense"
+>
   <templates>
     <Template link=lodtemplate_default />
